org.springframework.data.convert

## Interface TypeAliasAccessor<S>

    public interface TypeAliasAccessor<S>

Interface to abstract implementations of how to access a type alias from a given source or sink.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`Alias` `readAliasFrom(S source)` Reads the type alias to be used from the given source.
`void` `writeTypeTo(S sink, Object alias)` Writes the given type alias to the given sink.

### Method Detail

#### readAliasFrom

    Alias readAliasFrom(S source)

Reads the type alias to be used from the given source.

Parameters:
  `source` -
Returns:
  can be null in case no alias was found.

#### writeTypeTo

    void writeTypeTo(S sink,
                     Object alias)

Writes the given type alias to the given sink.

Parameters:
  `sink` -
  `alias` -